Bug 218871 - CVE-2006-6101 Multiple xorg-x11 integer overflows (CVE-2006-6102, CVE-2006-6103)
CVE-2006-6101 Multiple xorg-x11 integer overflows (CVE-2006-6102, CVE-2006-6103)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
impact=important,reported=20061207,so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 17:07 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0003
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 07:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-12-07 17:07:51 EST
+++ This bug was initially created as a clone of Bug #218870 +++

iDefense reported several integer overflow flaws in the XFree86 server source.
These flaws may allow a local user to leverage these flaws to become root.

-- Additional comment from bressers@redhat.com on 2006-12-07 17:06 EST --
Created an attachment (id=143094)
Upstream patch
Comment 2 Adam Jackson 2007-01-03 07:32:18 EST
Built as xorg-x11-6.8.2-1.EL.13.37.4 for RHEL4.
Comment 3 Adam Jackson 2007-01-03 14:27:35 EST
correction, -1.EL.13.37.5 for RHEL5.
Comment 8 Josh Bressers 2007-01-09 10:43:48 EST
This issue is public:
http://lists.freedesktop.org/archives/xorg-announce/2007-January/000235.html
Comment 11 Red Hat Bugzilla 2007-01-10 07:07:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0003.html

Note You need to log in before you can comment on or make changes to this bug.